Subject: Re: simple MPC5200B system

From: Stefan Roese <[email-masked]>
Date: Thu, 20 Mar 2008 10:29:04 +0100

On Thursday 20 March 2008, David Gibson wrote:
> >>> You did build your device tree with "-b 0", didn't you?
> >>
> >> Ugh.. I really need to fix dtc to pick the default boot cpu value more
> >> sensibly, don't I.
> >
> > I didn't specify "-b 0". This shouldn't be neccessary on a single
> > processor system ! After all it's an option ... "0" should be default.
>
> Should, yes.  But dtc's pretty new, and a sensible default for -b is
> one thing that isn't there.

ACK. I have run into a problem on the Sequoia (440EPx) lately, where the FPU 
was not initialized correctly because of the missing "-b 0". Please add this 
as default.

Best regards,
Stefan